%global php_apiver  %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)
%global php_extdir  %(php-config --extension-dir 2>/dev/null || echo "undefined")
%global php_version %(php-config --version 2>/dev/null || echo 0)

Summary: 	pam - PAM integration	
Name: 		php-pecl-pam
Version: 	1.0.3
Release: 	1%{?dist}
License: 	PHP License
Group: 		Development/Languages
URL: 		http://pecl.php.net/package/PAM

Source: 	http://pecl.php.net/get/pam-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: 	php-pecl(pam),
Requires: 	pam-devel
Requires:	php-common >= 5.0.4
BuildRequires:  pam-devel
BuildRequires: 	php-devel >= 5.0.0
BuildRequires:	rpm-build >= 1.344


%description
This extension allows the retrieval of file type information for the vast
majority of files.  This information may include such information as dimensions
or compression quality of images, duration of sound files, etc...

Additionally, it can also be used to retrieve the MIME type for a particular
file, and for text files, the proper language encoding.

%prep
%setup -c -q

%build
cd pam-%{version}
phpize
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
cd pam-%{version}
%{__make} install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/pam.ini << 'EOF'
; Enable pam extension module
extension=pam.so
EOF

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc pam-%{version}/CREDITS
%config(noreplace) %{_sysconfdir}/php.d/pam.ini
%{php_extdir}/pam.so

%changelog
* Tue Dec 15 2015 josef radinger <cheese@nosuchhost.net> - 1.0.3-1
- rebuild

* Mon Jan 09 2012 Jarek Sedlacek <jarek@nbcs.rutgers.edu> 1.0.3-1.ru6
Build for CentOS 6

* Mon Jun 06 2011 Phillip Quiza <pquiza@nbcs.rutgers.edu> 1.0.3-1.ru
- Initial build for Rutgers CentOS
